Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalIconFactory.TreeFolderIcon

    java.lang.Object
      |
      +--javax.swing.plaf.metal.MetalIconFactory.FolderIcon16
            |
            +--javax.swing.plaf.metal.MetalIconFactory.TreeFolderIcon

All Implemented Interfaces:
  Icon, Serializable

Enclosing class:
  MetalIconFactory

public static class MetalIconFactory.TreeFolderIcon
extends MetalIconFactory.FolderIcon16

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`MetalIconFactory.TreeFolderIcon()`

Method Summary
`int` | `getAdditionalHeight()`
`int` | `getShift()`

Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FolderIcon16
`getIconHeight, getIconWidth, paintIcon`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalIconFactory.TreeFolderIcon

    public MetalIconFactory.TreeFolderIcon()

Method Detail

### getShift

    public int getShift()

  Overrides:
    `getShift` in class `MetalIconFactory.FolderIcon16`

### getAdditionalHeight

    public int getAdditionalHeight()

  Overrides:
    `getAdditionalHeight` in class `MetalIconFactory.FolderIcon16`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.